summaryrefslogtreecommitdiffstats
path: root/games/armagetronad/armagetronad.SlackBuild
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2020-08-24 21:09:34 +0200
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-08-29 10:07:53 +0700
commit6782d9f31cf21d34bb240d246b0405159d49ee28 (patch)
tree96ab3499815b09015548429a3a7ef923e852b4cd /games/armagetronad/armagetronad.SlackBuild
parent3a2bbfce64a916283db326e646eefb6177b43124 (diff)
downloadslackbuilds-6782d9f31cf21d34bb240d246b0405159d49ee28.tar.gz
slackbuilds-6782d9f31cf21d34bb240d246b0405159d49ee28.tar.xz
games/armagetronad: Updated for version 0.2.9.0.1.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/armagetronad/armagetronad.SlackBuild')
-rw-r--r--games/armagetronad/armagetronad.SlackBuild14
1 files changed, 8 insertions, 6 deletions
diff --git a/games/armagetronad/armagetronad.SlackBuild b/games/armagetronad/armagetronad.SlackBuild
index b931746029..2ad2a6dc2c 100644
--- a/games/armagetronad/armagetronad.SlackBuild
+++ b/games/armagetronad/armagetronad.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2010-2016 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# Copyright 2010-2020 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
# based on the hollywoodb's one on 12.2 repository
# All rights reserved.
#
@@ -22,7 +22,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=armagetronad
-VERSION=${VERSION:-0.2.8.3.4}
+VERSION=${VERSION:-0.2.9.0.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -58,9 +58,9 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.src.tar.?z*
-cd $PRGNAM-$VERSION
+rm -rf $PRGNAM-v$VERSION
+tar xvf $CWD/$PRGNAM-v$VERSION.tar.?z*
+cd $PRGNAM-v$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -68,8 +68,10 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+./bootstrap.sh
+
# Fix wrong detection of libpng in configure
-sed -i 's|png_check_sig|png_sig_cmp|g' configure
+sed -i 's|png_check_sig|png_sig_cmp|g' configure || exit 1
# Using --disable-games since it peppers installation
# paths with 'games' subdirectories and we're handling that manually.